// eslint-disable
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    outputCardClassNames: function() {
        return outputCardClassNames;
    },
    useOutputCardStyles_unstable: function() {
        return useOutputCardStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const outputCardClassNames = {
    root: 'fai-OutputCard',
    progress: 'fai-OutputCard__progress'
};
const indeterminateProgressBarReducedMotion = {
    '0%': {
        opacity: '.2'
    },
    '50%': {
        opacity: '1'
    },
    '100%': {
        opacity: '.2'
    }
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "f1kijzfu",
        mc9l5x: "f22iagw",
        Beiy3e4: "f1vx9l62",
        qhf8xq: "f10pi13n",
        Bj3rh1h: "f11zp4z2",
        De3pzq: "fxugw4r",
        B7ck84d: "f1ewtqcl",
        E5pizo: "f1whvlc6",
        Bw0xxkn: 0,
        oeaueh: 0,
        Bpd4iqm: 0,
        Befb4lg: "f1iepc6i"
    },
    sidecar: {
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "fdgaxb"
    },
    canvas: {
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f6lrzt8"
    },
    progressRoot: {
        B68tc82: "f1p9o1ba",
        Bmxbyg5: "f1sil6mw",
        Bpg54ce: "f1a3p1vp",
        a9b677: "f14z66ap",
        qhf8xq: "f1euv43f",
        B5kzvoi: "f1yab3r1",
        oyh7mz: [
            "f1vgc2s3",
            "f1e31b4d"
        ],
        j35jbq: [
            "f1e31b4d",
            "f1vgc2s3"
        ],
        Bqenvij: "fniina8",
        Beyfa6y: [
            "frrelxk",
            "f1ldthgs"
        ],
        Bbmb7ep: [
            "f1ldthgs",
            "frrelxk"
        ],
        Bgl5zvf: "f5aapo6",
        Bn62ygk: 0,
        Cwk7ip: 0,
        B3o57yi: 0,
        Bmy1vo4: 0,
        Bkqvd7p: 0,
        Bi2q7bf: "fxqei6h"
    },
    progressIsLoading: {
        Bqenvij: "f1x82gua"
    },
    bar: {
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "fokr779"
    },
    regularProgressBarStyles: {
        Bqenvij: "f1l02sjl",
        Bcmaq0h: "ffso0f9"
    },
    indeterminateProgressBarStyles: {
        vin17d: "f1a27w2r",
        Bqenvij: "f1l02sjl",
        De3pzq: "f1c21dwh",
        Bcmaq0h: "fc9jjzv",
        jpy9cc: "f3z2g5w",
        Bqo2lbl: "fz5izi4",
        I82g5a: "f1uj6jbf",
        B6plc1d: "fv40pdu"
    },
    indeterminateBarNotIsLoading: {
        Bh6m77q: "f1yav1uu"
    }
}, {
    d: [
        [
            ".f1kijzfu{border-radius:var(--borderRadiusXLarge);}",
            {
                p: -1
            }
        ],
        ".f22iagw{display:flex;}",
        ".f1vx9l62{flex-direction:column;}",
        ".f10pi13n{position:relative;}",
        ".f11zp4z2{z-index:0;}",
        ".fxugw4r{background-color:var(--colorNeutralBackground1);}",
        ".f1ewtqcl{box-sizing:border-box;}",
        ".f1whvlc6{box-shadow:var(--shadow4);}",
        [
            ".f1iepc6i{outline:1px solid var(--colorTransparentStroke);}",
            {
                p: -1
            }
        ],
        [
            ".fdgaxb{padding:var(--spacingVerticalM) var(--spacingHorizontalL);}",
            {
                p: -1
            }
        ],
        [
            ".f6lrzt8{padding:var(--spacingVerticalL) var(--spacingVerticalXL);}",
            {
                p: -1
            }
        ],
        [
            ".f1a3p1vp{overflow:hidden;}",
            {
                p: -1
            }
        ],
        ".f14z66ap{width:auto;}",
        ".f1p9o1ba{overflow-x:hidden;}",
        ".f1sil6mw{overflow-y:hidden;}",
        ".f1euv43f{position:absolute;}",
        ".f1yab3r1{bottom:0;}",
        ".f1vgc2s3{left:0;}",
        ".f1e31b4d{right:0;}",
        ".fniina8{height:0;}",
        ".frrelxk{border-bottom-left-radius:var(--borderRadiusLarge);}",
        ".f1ldthgs{border-bottom-right-radius:var(--borderRadiusLarge);}",
        ".f5aapo6{clip-path:polygon(0px 4px, 100% 4px, 100% 8px, 0px 8px);}",
        [
            ".fxqei6h{transition:height var(--durationSlow) var(--curveDecelerateMin);}",
            {
                p: -1
            }
        ],
        ".f1x82gua{height:8px;}",
        [
            ".fokr779{border-radius:0;}",
            {
                p: -1
            }
        ],
        ".f1l02sjl{height:100%;}",
        ".ffso0f9{background-image:linear-gradient(90deg, var(--colorBrandFlair1) 35%, var(--colorBrandFlair2) 70%, var(--colorBrandFlair3) 92%);}",
        ".f1a27w2r{animation-duration:3s;}",
        ".f1c21dwh{background-color:var(--colorTransparentBackground);}",
        ".fc9jjzv{background-image:linear-gradient(90deg, rgba(0,0,0,0) 0%, var(--colorBrandFlair1) 35%, var(--colorBrandFlair2) 70%, var(--colorBrandFlair3) 92%,  rgba(0,0,0,0));}",
        ".f1yav1uu{animation-play-state:paused;}"
    ],
    m: [
        [
            "@media screen and (prefers-reduced-motion: reduce){.f3z2g5w{max-width:100%;}}",
            {
                m: "screen and (prefers-reduced-motion: reduce)"
            }
        ],
        [
            "@media screen and (prefers-reduced-motion: reduce){.fz5izi4{animation-iteration-count:infinite;}}",
            {
                m: "screen and (prefers-reduced-motion: reduce)"
            }
        ],
        [
            "@media screen and (prefers-reduced-motion: reduce){.f1uj6jbf{animation-name:ftc26vs;}}",
            {
                m: "screen and (prefers-reduced-motion: reduce)"
            }
        ],
        [
            "@media screen and (prefers-reduced-motion: reduce){.fv40pdu{animation-duration:3s;}}",
            {
                m: "screen and (prefers-reduced-motion: reduce)"
            }
        ]
    ],
    k: [
        "@keyframes ftc26vs{0%{opacity:.2;}50%{opacity:1;}100%{opacity:.2;}}"
    ]
});
const useNextStyles = (0, _reactcomponents.__styles)({
    root: {
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f1hgi6q7",
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "f1pwvjsv"
    },
    progressRoot: {
        Beyfa6y: [
            "f1tlku5q",
            "f1vtdrap"
        ],
        Bbmb7ep: [
            "f1vtdrap",
            "f1tlku5q"
        ],
        j35jbq: [
            "fvwj8x0",
            "facy6yv"
        ],
        oyh7mz: [
            "facy6yv",
            "fvwj8x0"
        ]
    }
}, {
    d: [
        [
            ".f1hgi6q7{padding:var(--spacingVerticalXXL) var(--spacingHorizontalXXL);}",
            {
                p: -1
            }
        ],
        [
            ".f1pwvjsv{border-radius:var(--borderRadius4XL);}",
            {
                p: -1
            }
        ],
        ".f1tlku5q{border-bottom-left-radius:var(--borderRadius4XL);}",
        ".f1vtdrap{border-bottom-right-radius:var(--borderRadius4XL);}",
        ".fvwj8x0{right:10px;}",
        ".facy6yv{left:10px;}"
    ]
});
const useOutputCardStyles_unstable = (state)=>{
    'use no memo';
    const { flairClassName, designVersion } = state;
    const styles = useStyles();
    const nextStyles = useNextStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(outputCardClassNames.root, styles.root, styles[state.mode], flairClassName, designVersion === 'next' && nextStyles.root, state.root.className);
    if (state.progress) {
        state.progress.className = (0, _reactcomponents.mergeClasses)(outputCardClassNames.progress, styles.progressRoot, state.isLoading && styles.progressIsLoading, designVersion === 'next' && nextStyles.progressRoot, state.progress.className);
        const bar = _reactcomponents.slot.optional(state.progress.bar, {
            elementType: 'div',
            renderByDefault: true
        });
        if (bar) {
            if (state.progress.value === undefined) {
                bar.className = (0, _reactcomponents.mergeClasses)(styles.bar, styles.indeterminateProgressBarStyles, !state.isLoading && styles.indeterminateBarNotIsLoading, bar.className);
            } else {
                bar.className = (0, _reactcomponents.mergeClasses)(styles.regularProgressBarStyles, styles.bar, bar.className);
            }
            state.progress.bar = bar;
        }
    }
    return state;
}; //# sourceMappingURL=useOutputCardStyles.styles.js.map
