import * as React from 'react';
import { useOutputCard_unstable } from './useOutputCard';
import { renderOutputCard_unstable } from './renderOutputCard';
import { useOutputCardStyles_unstable } from './useOutputCardStyles.styles';
import { useCustomStyleHook } from '@fluentui-copilot/react-provider';
// OutputCard component - TODO: add more docs
export const OutputCard = /*#__PURE__*/React.forwardRef((props, ref) => {
  const state = useOutputCard_unstable(props, ref);
  useOutputCardStyles_unstable(state);
  useCustomStyleHook('useOutputCardStyles')(state);
  return renderOutputCard_unstable(state);
});
OutputCard.displayName = 'OutputCard';
//# sourceMappingURL=OutputCard.js.map